Skip to main content

Long/Short Ratio

API Description​

Query symbol Long/Short Ratio

HTTP Request​

GET /futures/data/globalLongShortAccountRatio

Request Weight​

1

Request Parameters​

NameTypeMandatoryDescription
pairSTRINGYESBTCUSD
periodENUMYES"5m","15m","30m","1h","2h","4h","6h","12h","1d"
contractTypeENUMNOPERPETUAL / CURRENT_QUARTER / NEXT_QUARTER. If omitted, returns aggregated data across all contract types.
limitLONGNODefault 30,Max 500
startTimeLONGNO
endTimeLONGNO
  • If startTime and endTime are not sent, the most recent data is returned.
  • Only the data of the latest 30 days is available.
  • The timestamp in the response is the end time of the period.

Response Example​

[  
{
"pair": "BTCUSD",
"longShortRatio": "0.1960",
"longAccount": "0.6622", //66.22%
"shortAccount": "0.3378", //33.78%
"timestamp": 1583139600000
},
{
"pair": "BTCUSD",
"longShortRatio": "1.9559",
"longAccount": "0.6617",
"shortAccount": "0.3382",
"timestamp": 1583139900000
}
]